Get information about coupon codes
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes
clientIdinteger<int64>Client ID
couponBlockIdinteger<int64>Coupon block ID
offsetinteger<int32><p>Starting point of the result list Default value : 0</p>
limitinteger<int32><p>Maximum number of retrieved coupon codes Default value : 100</p>
codeAssignmentstring<p>The status of the coupon codes to be filtered. Possible values are: assigned, unassigned, all</p>
mailingIdinteger<int64>Mailing IDs to which the coupon codes are assigned
recipientIdstringRecipient IDs to which the coupon codes are assigned
sortstringSort result by specific criteria
directionstringSort order
acceptstringGenerated from available response content types
200<p>The coupon codes were retrieved successfully (empty result if none was found).</p>
400<p>The "codeAssignment" parameter is provided simultaneously with the "mailingId" or the "recipientId", or the limit parameter is invalid. Change the limit to less than 10000.</p>
404The coupon block could not be found. Ensure that the required parameters such as "couponBlockId" are correct and the coupon block exists.
409The coupon block is not assigned to the indicated client. Ensure that "clientId" and "couponBlockId" are correct and that the "couponBlockId" is assigned to the indicated client.
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes \
--header 'accept: application/json'